Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Interface Getter

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BackrefPropertyAccessor.BackrefGetter, BasicPropertyAccessor.BasicGetter, DirectPropertyAccessor.DirectGetter, Dom4jAccessor.AttributeGetter, Dom4jAccessor.Dom4jGetter, Dom4jAccessor.ElementAttributeGetter, Dom4jAccessor.ElementGetter, Dom4jAccessor.TextGetter, EmbeddedPropertyAccessor.EmbeddedGetter, IndexPropertyAccessor.IndexGetter, MapAccessor.MapGetter

    public interface Getter

extends Serializable

Gets values of a particular property

Author:
  Gavin King

Method Summary
`Object` | `get(Object owner)` Get the property value from the given instance .
`Object` | `getForInsert(Object owner, Map mergeMap, SessionImplementor session)` Get the property value from the given owner instance.
`Method` | `getMethod()` Optional operation (return null)
`String` | `getMethodName()` Optional operation (return null)
`Class` | `getReturnType()` Get the declared Java type

Method Detail

### get

    Object get(Object owner)
               throws HibernateException

  Get the property value from the given instance .

  Parameters:
    `owner` - The instance containing the value to be retreived.
  Returns:
    The extracted value.
  Throws:
    `HibernateException`

### getForInsert

    Object getForInsert(Object owner,
                        Map mergeMap,
                        SessionImplementor session)
                        throws HibernateException

  Get the property value from the given owner instance.

  Parameters:
    `owner` - The instance containing the value to be retreived.
    `mergeMap` - a map of merged persistent instances to detached instances
    `session` - The session from which this request originated.
  Returns:
    The extracted value.
  Throws:
    `HibernateException`

### getReturnType

    Class getReturnType()

  Get the declared Java type

### getMethodName

    String getMethodName()

  Optional operation (return null)

### getMethod

    Method getMethod()

  Optional operation (return null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD